> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List event notifications

> Lists webhooks event notifications. Use query parameters to filter the response.



## OpenAPI

````yaml /api-reference/notifications_webhooks_v1.json get /v1/notifications/webhooks-events
openapi: 3.0.3
info:
  title: Webhooks Management
  description: >-
    The PayPal REST APIs use <a
    href="/docs/api/notifications/webhooks/"/>webhooks</a> for event
    notification. Webhooks are HTTP callbacks that receive notification messages
    for events. After you configure a webhook listener for your app, you can <a
    href="#webhooks_create">create a webhook</a>, which subscribes the webhook
    listener for your app to events. The <code>notifications</code> namespace
    contains resource collections for webhooks.
  version: '1.11'
  contact: {}
servers:
  - url: https://api-m.sandbox.paypal.com
    description: PayPal Sandbox Environment
  - url: https://api-m.paypal.com
    description: PayPal Live Environment
security: []
tags:
  - name: webhooks
    description: >-
      Use the `/webhooks` resource to subscribe your webhook listener to events,
      list webhooks for an app, show details for, update, delete, and list event
      subscriptions for webhooks.
  - name: webhooks-lookup
    description: >-
      Use the `/webhooks-lookup` resource to create, list, show details for, and
      delete webhook lookups.
  - name: verify-webhook-signature
    description: >-
      Use the `/verify-webhook-signature` resource to verify a webhook
      signature.
  - name: webhooks-event-types
    description: >-
      Use the `/webhooks-event-types` resource to list available events to which
      any webhook can subscribe.
  - name: webhooks-events
    description: >-
      Use the `/webhooks-events` resource to list, show details for, and resend
      event notifications.
  - name: simulate-event
    description: >-
      Use the `/simulate-event` resource to use a sample payload to simulate a
      webhook event. The events that this call generates only serve to validate
      the connection to the listener URL and to show how webhook events look.
      <blockquote><strong>Note:</strong> You can also use the <a
      href="/docs/api/notifications/webhooks/simulator/">Webhooks simulator</a>
      to simulate webhook events.</blockquote>
  - name: publish-event-with-payload
    description: >-
      Use the `/publish-event-with-payload` resource to publish an event with a
      specified payload.
  - name: publish-event-with-reference
    description: >-
      Use the `/publish-event-with-reference` resource to publish an event with
      a specified reference.
  - name: webhook-event-delivery-status
    description: >-
      Use the `/webhook-event-delivery-status` resource to show the webhook
      event send status.
  - name: webhooks-error-types
    description: >-
      Use the `/error-types` resource to create and list available webhook error
      types.
  - name: webhooks-errors
    description: >-
      Use the `/webhooks-errors` resource to create, list, show details for, and
      update webhook errors.
  - name: batch-resend
    description: Use the `/batch-resend` resource to send out IPN/Webhooks in batches.
externalDocs:
  url: https://developer.paypal.com/docs/api/webhooks/v1/
paths:
  /v1/notifications/webhooks-events:
    get:
      tags:
        - webhooks-events
      summary: List event notifications
      description: >-
        Lists webhooks event notifications. Use query parameters to filter the
        response.
      operationId: webhooks-events.list
      parameters:
        - $ref: '#/components/parameters/page_size'
        - $ref: '#/components/parameters/start_time'
        - $ref: '#/components/parameters/end_time'
        - $ref: '#/components/parameters/transaction_id'
        - $ref: '#/components/parameters/event_type'
      responses:
        '200':
          description: >-
            A successful request returns the HTTP `200 OK` status code and a
            JSON response body that lists webhooks event notifications.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventList'
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error-2'
      security:
        - Oauth2:
            - https://uri.paypal.com/services/applications/webhooks
components:
  parameters:
    page_size:
      name: page_size
      in: query
      description: The number of webhook event notifications to return in the response.
      schema:
        type: integer
        default: 10
    start_time:
      name: start_time
      in: query
      description: >-
        Filters the webhook event notifications in the response to those created
        on or after this date and time and on or before the `end_time` value.
        Both values are in [Internet date and time
        format](https://tools.ietf.org/html/rfc3339#section-5.6) format.
        Example: `start_time=2013-03-06T11:00:00Z`.
      schema:
        type: string
    end_time:
      name: end_time
      in: query
      description: >-
        Filters the webhook event notifications in the response to those created
        on or after the `start_time` and on or before this date and time. Both
        values are in [Internet date and time
        format](https://tools.ietf.org/html/rfc3339#section-5.6) format.
        Example: `end_time=2013-03-06T11:00:00Z`.
      schema:
        type: string
    transaction_id:
      name: transaction_id
      in: query
      description: Filters the response to a single transaction, by ID.
      schema:
        type: string
    event_type:
      name: event_type
      in: query
      description: Filters the response to a single event.
      schema:
        type: string
  schemas:
    EventList:
      type: object
      title: Event List
      description: A list of webhooks events.
      properties:
        events:
          $ref: '#/components/schemas/event_list'
        count:
          type: integer
          description: >-
            The number of items in each range of results. Note that the response
            might have fewer items than the requested `page_size` value.
        links:
          $ref: '#/components/schemas/link_description_list'
    error-2:
      type: object
      title: Error
      description: The error details.
      properties:
        name:
          type: string
          description: The human-readable, unique name of the error.
        message:
          type: string
          description: The message that describes the error.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        information_link:
          type: string
          description: >-
            The information link, or URI, that shows detailed information about
            this error for the developer.
          readOnly: true
        details:
          $ref: '#/components/schemas/error_details_list'
        links:
          $ref: '#/components/schemas/link_description_list'
      required:
        - name
        - message
        - debug_id
    event_list:
      type: array
      description: An array of webhooks events.
      items:
        $ref: '#/components/schemas/event'
    link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/docs/api/reference/api-responses/#hateoas-links).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    error_details_list:
      type: array
      description: An array of additional details about the error.
      items:
        $ref: '#/components/schemas/error_details-2'
    event:
      type: object
      title: Event
      description: A webhook event notification.
      properties:
        id:
          type: string
          description: The ID of the webhook event notification.
          readOnly: true
        create_time:
          type: string
          format: date-time
          description: >-
            The date and time when the webhook event notification was created,
            in [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6).
          readOnly: true
        resource_type:
          type: string
          description: The name of the resource related to the webhook notification event.
          readOnly: true
        event_version:
          $ref: '#/components/schemas/event_version'
        event_type:
          type: string
          description: The event that triggered the webhook event notification.
          readOnly: true
        summary:
          type: string
          description: A summary description for the event notification.
          readOnly: true
        resource_version:
          $ref: '#/components/schemas/resource_version'
        resource:
          $ref: '#/components/schemas/resource'
        links:
          $ref: '#/components/schemas/link_description_list'
    link_description:
      type: object
      title: Link Description
      description: >-
        The request-related [HATEOAS
        link](/docs/api/reference/api-responses/#hateoas-links) information.
      required:
        - href
        - rel
      properties:
        href:
          type: string
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
        rel:
          type: string
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
        method:
          type: string
          description: The HTTP method required to make the related call.
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - HEAD
            - CONNECT
            - OPTIONS
            - PATCH
    error_details-2:
      title: Error Details
      type: object
      description: The error details. Required for client-side `4XX` errors.
      properties:
        field:
          type: string
          description: >-
            The field that caused the error. If this field is in the body, set
            this value to the field's JSON pointer value. Required for
            client-side errors.
        value:
          type: string
          description: The value of the field that caused the error.
        location:
          type: string
          description: >-
            The location of the field that caused the error. Value is `body`,
            `path`, or `query`.
          default: body
        issue:
          type: string
          description: The unique, fine-grained application-level error code.
        description:
          type: string
          description: >-
            The human-readable description for an issue. The description can
            change over the lifetime of an API, so clients must not depend on
            this value.
      required:
        - issue
    event_version:
      type: string
      title: Event Version
      description: The event version in the webhook notification.
      deprecated: true
      pattern: ^([0-9]+.[0-9]+)$
    resource_version:
      title: Resource Version
      description: The resource version in the webhook notification.
      type: string
      pattern: ^([0-9]+.[0-9]+)$
    resource:
      type: object
      title: Resource
      description: The resource that triggered the webhook event notification.
      readOnly: true
      additionalProperties: true
  securitySchemes:
    Oauth2:
      type: oauth2
      description: Oauth 2.0 authentication
      flows:
        clientCredentials:
          tokenUrl: /v1/oauth2/token
          scopes:
            https://uri.paypal.com/services/applications/webhooks: Access/update Webhooks.
            https://uri.paypal.com/services/applications/verify-webhook-signature: Verify Webhook Signature

````